Namespace
library
Image / Tag
swift:5.8-focal
Content Digest
sha256:06e708864643066657a1b36fe6b12cd599625e41fcca721fe8047bdbf2ab4f9f
Details
Created

2023-06-02 05:42:24 UTC

Size

671 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    20.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.8.1-release

SWIFT_PLATFORM

ubuntu20.04

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.8.1-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:d9802f032d6798e2086607424bfe88cb8ec1d6f116e11cd99592dcaf261e9cd2 - 3.91% (26.2 MB)

[#001] sha256:6ca878da3981aef12243dda837290ef59217086ff3477c2aade635ede24c2ccd - 17.14% (115 MB)

[#002] sha256:3617003fc591aede9925473f2ab3f67003903940d19494c37fa84ffe5a39f47f - 78.95% (529 MB)

[#003] sha256:7c8f29f4bdf0be0ea03a64dd0f8f2af474350fdb9013c8d010e5c7ec4d210fa9 - 0.0% (200 Bytes)


History
2023-06-02 05:42:24 UTC

/bin/sh -c #(nop) ARG RELEASE

2023-06-02 05:42:24 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2023-06-02 05:42:24 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2023-06-02 05:42:24 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=20.04

2023-06-02 05:42:24 UTC

/bin/sh -c #(nop) ADD file:7486147a645d8835a5181c79f00a3606c6b714c83bcbfcd8862221eb14690f9e in /

2023-06-02 05:42:24 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-9-dev libpython3.8 libsqlite3-0 libstdc++-9-dev libxml2-dev libz3-dev pkg-config tzdata zlib1g-dev && rm -r /var/lib/apt/lists/* # buildkit

2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=ubuntu20.04

2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-5.8.1-release

2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-5.8.1-RELEASE

2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-5.8.1-release SWIFT_VERSION=swift-5.8.1-RELEASE SWIFT_WEBROOT=https://download.swift.org

2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-5.8.1-release SWIFT_VERSION=swift-5.8.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl # buildkit

2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-5.8.1-release SWIFT_VERSION=swift-5.8.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c swift --version # buildkit

Details
Created

2023-06-02 05:42:24 UTC

Size

638 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>
  • org.opencontainers.image.ref.name
    ubuntu
  • org.opencontainers.image.version
    20.04

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-5.8.1-release

SWIFT_PLATFORM

ubuntu20.04

SWIFT_SIGNING_KEY

A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

SWIFT_VERSION

swift-5.8.1-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:1b9f3c55f9d4aa5c52eb67a4cb7d0f4726ab85a413b50e3e3fe788befce3d297 - 3.88% (24.8 MB)

[#001] sha256:e69cce01e9d8c771a7b0796ada618116987ea38afcec8953cbd43c22df570f79 - 17.54% (112 MB)

[#002] sha256:72e6a4a54d0bd73bed4dfd34f6041f58ed5d4921d86ab77299969a83a0ebf903 - 78.57% (501 MB)

[#003] sha256:fcc9e30818d5001f440e878312b462f1c166a807be53ca84e152e7913a47f4a7 - 0.0% (199 Bytes)


History
2023-06-02 05:42:24 UTC

/bin/sh -c #(nop) ARG RELEASE

2023-06-02 05:42:24 UTC

/bin/sh -c #(nop) ARG LAUNCHPAD_BUILD_ARCH

2023-06-02 05:42:24 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.ref.name=ubuntu

2023-06-02 05:42:24 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.version=20.04

2023-06-02 05:42:24 UTC

/bin/sh -c #(nop) ADD file:8537b4db344382b39d669af27cd94ec0f870ceafe58c67ee54e3f9b38fb8d671 in /

2023-06-02 05:42:24 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c export DEBIAN_FRONTEND=noninteractive DEBCONF_NONINTERACTIVE_SEEN=true && apt-get -q update && apt-get -q install -y binutils git unzip gnupg2 libc6-dev libcurl4-openssl-dev libedit2 libgcc-9-dev libpython3.8 libsqlite3-0 libstdc++-9-dev libxml2-dev libz3-dev pkg-config tzdata zlib1g-dev && rm -r /var/lib/apt/lists/* # buildkit

2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561

2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=ubuntu20.04

2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-5.8.1-release

2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-5.8.1-RELEASE

2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-5.8.1-release SWIFT_VERSION=swift-5.8.1-RELEASE SWIFT_WEBROOT=https://download.swift.org

2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-5.8.1-release SWIFT_VERSION=swift-5.8.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(dpkg --print-architecture)"; url=; case "${ARCH_NAME##*-}" in 'amd64') OS_ARCH_SUFFIX=''; ;; 'arm64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export DEBIAN_FRONTEND=noninteractive && apt-get -q update && apt-get -q install -y curl && rm -rf /var/lib/apt/lists/* && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && tar -xzf swift.tar.gz --directory / --strip-components=1 && chmod -R o+r /usr/lib/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && apt-get purge --auto-remove -y curl # buildkit

2023-06-02 05:42:24 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=A62AE125BBBFBB96A6E042EC925CC1CCED3D1561 SWIFT_PLATFORM=ubuntu20.04 SWIFT_BRANCH=swift-5.8.1-release SWIFT_VERSION=swift-5.8.1-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c swift --version # buildkit

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete